package com.bcxin.Infrastructures.enums;

import com.bcxin.Infrastructures.utils.DictUtil;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * description: 国籍类
 * author: linchunpeng
 * date:  2023-05-05 10:58
 */
public class Nationality {

    public static List<Map<String, String>> getDictList() {
        List<Map<String, String>> resultList = new ArrayList<>();

        resultList.add(DictUtil.getDictMap("ABW", "阿鲁巴"));
        resultList.add(DictUtil.getDictMap("AFG", "阿富汗"));
        resultList.add(DictUtil.getDictMap("AGO", "安哥拉"));
        resultList.add(DictUtil.getDictMap("AIA", "安圭拉"));
        resultList.add(DictUtil.getDictMap("ALB", "阿尔巴尼亚"));
        resultList.add(DictUtil.getDictMap("AND", "安道尔"));
        resultList.add(DictUtil.getDictMap("ANT", "荷属安的列斯"));
        resultList.add(DictUtil.getDictMap("ARE", "阿联酋"));
        resultList.add(DictUtil.getDictMap("ARG", "阿根廷"));
        resultList.add(DictUtil.getDictMap("ARM", "亚美尼亚"));
        resultList.add(DictUtil.getDictMap("ASM", "美属萨摩亚"));
        resultList.add(DictUtil.getDictMap("ATA", "南极洲"));
        resultList.add(DictUtil.getDictMap("ATF", "法属南部领土"));
        resultList.add(DictUtil.getDictMap("ATG", "安提瓜和巴布达"));
        resultList.add(DictUtil.getDictMap("AUS", "澳大利亚"));
        resultList.add(DictUtil.getDictMap("AUT", "奥地利"));
        resultList.add(DictUtil.getDictMap("AZE", "阿塞拜疆"));
        resultList.add(DictUtil.getDictMap("BDI", "布隆迪"));
        resultList.add(DictUtil.getDictMap("BEL", "比利时"));
        resultList.add(DictUtil.getDictMap("BEN", "贝宁"));
        resultList.add(DictUtil.getDictMap("BFA", "布基纳法索"));
        resultList.add(DictUtil.getDictMap("BGD", "孟加拉国"));
        resultList.add(DictUtil.getDictMap("BGR", "保加利亚"));
        resultList.add(DictUtil.getDictMap("BHR", "巴林"));
        resultList.add(DictUtil.getDictMap("BHS", "巴哈马"));
        resultList.add(DictUtil.getDictMap("BIH", "波斯尼亚和黑塞哥维那"));
        resultList.add(DictUtil.getDictMap("BLR", "白俄罗斯"));
        resultList.add(DictUtil.getDictMap("BLZ", "伯利兹"));
        resultList.add(DictUtil.getDictMap("BMU", "百幕大"));
        resultList.add(DictUtil.getDictMap("BOL", "玻利维亚"));
        resultList.add(DictUtil.getDictMap("BRA", "巴西"));
        resultList.add(DictUtil.getDictMap("BRB", "巴巴多斯"));
        resultList.add(DictUtil.getDictMap("BRN", "文莱"));
        resultList.add(DictUtil.getDictMap("BTN", "不丹"));
        resultList.add(DictUtil.getDictMap("BVT", "布维岛"));
        resultList.add(DictUtil.getDictMap("BWA", "博茨瓦纳"));
        resultList.add(DictUtil.getDictMap("CAF", "中非"));
        resultList.add(DictUtil.getDictMap("CAN", "加拿大"));
        resultList.add(DictUtil.getDictMap("CCK", "科科斯群岛"));
        resultList.add(DictUtil.getDictMap("CHE", "瑞士"));
        resultList.add(DictUtil.getDictMap("CHL", "智利"));
        resultList.add(DictUtil.getDictMap("CHN", "中国"));
        resultList.add(DictUtil.getDictMap("CIV", "科特迪瓦"));
        resultList.add(DictUtil.getDictMap("CMR", "喀麦隆"));
        resultList.add(DictUtil.getDictMap("COD", "刚果民主共和国"));
        resultList.add(DictUtil.getDictMap("COG", "刚果"));
        resultList.add(DictUtil.getDictMap("COK", "库克群岛"));
        resultList.add(DictUtil.getDictMap("COL", "哥伦比亚"));
        resultList.add(DictUtil.getDictMap("COM", "科摩罗"));
        resultList.add(DictUtil.getDictMap("CPV", "佛得角"));
        resultList.add(DictUtil.getDictMap("CRI", "哥斯达黎加"));
        resultList.add(DictUtil.getDictMap("CUB", "古巴"));
        resultList.add(DictUtil.getDictMap("CXR", "圣诞岛"));
        resultList.add(DictUtil.getDictMap("CYM", "开曼群岛"));
        resultList.add(DictUtil.getDictMap("CYP", "塞浦路斯"));
        resultList.add(DictUtil.getDictMap("CZE", "捷克"));
        resultList.add(DictUtil.getDictMap("DEU", "德国"));
        resultList.add(DictUtil.getDictMap("DJI", "吉布提"));
        resultList.add(DictUtil.getDictMap("DMA", "多米尼加"));
        resultList.add(DictUtil.getDictMap("DNK", "丹麦"));
        resultList.add(DictUtil.getDictMap("DOM", "多米尼家共和国"));
        resultList.add(DictUtil.getDictMap("DZA", "阿尔及利亚"));
        resultList.add(DictUtil.getDictMap("ECU", "厄瓜多尔"));
        resultList.add(DictUtil.getDictMap("EGY", "埃及"));
        resultList.add(DictUtil.getDictMap("ERI", "厄立特里亚"));
        resultList.add(DictUtil.getDictMap("ESH", "西撒哈拉"));
        resultList.add(DictUtil.getDictMap("ESP", "西班牙"));
        resultList.add(DictUtil.getDictMap("EST", "爱沙尼亚"));
        resultList.add(DictUtil.getDictMap("ETH", "埃塞俄比亚"));
        resultList.add(DictUtil.getDictMap("FIN", "芬兰"));
        resultList.add(DictUtil.getDictMap("FJI", "斐济"));
        resultList.add(DictUtil.getDictMap("FLK", "马尔维纳斯群岛"));
        resultList.add(DictUtil.getDictMap("FRA", "法国"));
        resultList.add(DictUtil.getDictMap("FRO", "法罗群岛"));
        resultList.add(DictUtil.getDictMap("FSM", "密克罗尼西亚"));
        resultList.add(DictUtil.getDictMap("GAB", "加蓬"));
        resultList.add(DictUtil.getDictMap("GBD", "英国（独立领土公民、出国不用）"));
        resultList.add(DictUtil.getDictMap("GBN", "英国（海外国民，出国不用）"));
        resultList.add(DictUtil.getDictMap("GBO", "英国（海外公民，出国不用）"));
        resultList.add(DictUtil.getDictMap("GBP", "英国（保护公民，出国不用）"));
        resultList.add(DictUtil.getDictMap("GBR", "英国"));
        resultList.add(DictUtil.getDictMap("GBS", "英国（隶属，出国不用）"));
        resultList.add(DictUtil.getDictMap("GEO", "格鲁吉亚"));
        resultList.add(DictUtil.getDictMap("GHA", "加纳"));
        resultList.add(DictUtil.getDictMap("GIB", "直布罗陀"));
        resultList.add(DictUtil.getDictMap("GIN", "几内亚"));
        resultList.add(DictUtil.getDictMap("GLP", "瓜德罗普"));
        resultList.add(DictUtil.getDictMap("GMB", "冈比亚"));
        resultList.add(DictUtil.getDictMap("GNB", "几内亚比绍"));
        resultList.add(DictUtil.getDictMap("GNQ", "赤道几内亚"));
        resultList.add(DictUtil.getDictMap("GRC", "希腊"));
        resultList.add(DictUtil.getDictMap("GRD", "格林纳达"));
        resultList.add(DictUtil.getDictMap("GRL", "格陵兰"));
        resultList.add(DictUtil.getDictMap("GTM", "危地马拉"));
        resultList.add(DictUtil.getDictMap("GUF", "法属圭亚那"));
        resultList.add(DictUtil.getDictMap("GUM", "关岛"));
        resultList.add(DictUtil.getDictMap("GUY", "圭亚那"));
        resultList.add(DictUtil.getDictMap("HKG", "中国香港"));
        resultList.add(DictUtil.getDictMap("HMD", "赫德岛和麦克唐纳岛"));
        resultList.add(DictUtil.getDictMap("HND", "洪都拉斯"));
        resultList.add(DictUtil.getDictMap("HRV", "克罗地亚"));
        resultList.add(DictUtil.getDictMap("HTI", "海地"));
        resultList.add(DictUtil.getDictMap("HUN", "匈牙利"));
        resultList.add(DictUtil.getDictMap("IDN", "印度尼西亚"));
        resultList.add(DictUtil.getDictMap("IND", "印度"));
        resultList.add(DictUtil.getDictMap("IOT", "英属印度洋领土"));
        resultList.add(DictUtil.getDictMap("IRL", "爱尔兰"));
        resultList.add(DictUtil.getDictMap("IRN", "伊朗"));
        resultList.add(DictUtil.getDictMap("IRQ", "伊拉克"));
        resultList.add(DictUtil.getDictMap("ISL", "冰岛"));
        resultList.add(DictUtil.getDictMap("ISR", "以色列"));
        resultList.add(DictUtil.getDictMap("ITA", "意大利"));
        resultList.add(DictUtil.getDictMap("JAM", "牙买加"));
        resultList.add(DictUtil.getDictMap("JOR", "约旦"));
        resultList.add(DictUtil.getDictMap("JPN", "日本"));
        resultList.add(DictUtil.getDictMap("JTN", "约翰斯顿岛"));
        resultList.add(DictUtil.getDictMap("KAZ", "哈萨克斯坦"));
        resultList.add(DictUtil.getDictMap("KEN", "肯尼亚"));
        resultList.add(DictUtil.getDictMap("KGZ", "吉尔吉斯斯坦"));
        resultList.add(DictUtil.getDictMap("KHM", "柬埔寨"));
        resultList.add(DictUtil.getDictMap("KIR", "基里巴斯"));
        resultList.add(DictUtil.getDictMap("KNA", "圣基茨和尼维斯"));
        resultList.add(DictUtil.getDictMap("KOR", "韩国（南朝鲜）"));
        resultList.add(DictUtil.getDictMap("KWT", "科威特"));
        resultList.add(DictUtil.getDictMap("LAO", "老挝"));
        resultList.add(DictUtil.getDictMap("LBN", "黎巴嫩"));
        resultList.add(DictUtil.getDictMap("LBR", "利比里亚"));
        resultList.add(DictUtil.getDictMap("LBY", "利比亚"));
        resultList.add(DictUtil.getDictMap("LCA", "圣卢西亚"));
        resultList.add(DictUtil.getDictMap("LIE", "列支敦土登"));
        resultList.add(DictUtil.getDictMap("LKA", "斯里兰卡"));
        resultList.add(DictUtil.getDictMap("LSO", "莱索托"));
        resultList.add(DictUtil.getDictMap("LTU", "立陶宛"));
        resultList.add(DictUtil.getDictMap("LUX", "卢森堡"));
        resultList.add(DictUtil.getDictMap("LVA", "拉脱维亚"));
        resultList.add(DictUtil.getDictMap("MAC", "中国澳门"));
        resultList.add(DictUtil.getDictMap("MAR", "摩洛哥"));
        resultList.add(DictUtil.getDictMap("MCO", "摩纳哥"));
        resultList.add(DictUtil.getDictMap("MDA", "摩尔多瓦"));
        resultList.add(DictUtil.getDictMap("MDG", "马达加斯加"));
        resultList.add(DictUtil.getDictMap("MDV", "马尔代夫"));
        resultList.add(DictUtil.getDictMap("MEX", "墨西哥"));
        resultList.add(DictUtil.getDictMap("MHL", "马绍尔群岛"));
        resultList.add(DictUtil.getDictMap("MID", "中途岛"));
        resultList.add(DictUtil.getDictMap("MKD", "马其顿"));
        resultList.add(DictUtil.getDictMap("MLI", "马里"));
        resultList.add(DictUtil.getDictMap("MLT", "马耳他"));
        resultList.add(DictUtil.getDictMap("MMR", "缅甸"));
        resultList.add(DictUtil.getDictMap("MNG", "蒙古"));
        resultList.add(DictUtil.getDictMap("MNP", "北马里亚纳"));
        resultList.add(DictUtil.getDictMap("MOZ", "莫桑比克"));
        resultList.add(DictUtil.getDictMap("MRT", "毛里塔尼亚"));
        resultList.add(DictUtil.getDictMap("MSR", "蒙特塞拉特"));
        resultList.add(DictUtil.getDictMap("MTQ", "马提尼克"));
        resultList.add(DictUtil.getDictMap("MUS", "毛里求斯"));
        resultList.add(DictUtil.getDictMap("MWI", "马拉维"));
        resultList.add(DictUtil.getDictMap("MYS", "马来西亚"));
        resultList.add(DictUtil.getDictMap("MYT", "马约特"));
        resultList.add(DictUtil.getDictMap("NAM", "纳米比亚"));
        resultList.add(DictUtil.getDictMap("NCL", "新喀里多尼亚"));
        resultList.add(DictUtil.getDictMap("NER", "尼日尔"));
        resultList.add(DictUtil.getDictMap("NFK", "诺福克岛"));
        resultList.add(DictUtil.getDictMap("NGA", "尼日利亚"));
        resultList.add(DictUtil.getDictMap("NIC", "尼加拉瓜"));
        resultList.add(DictUtil.getDictMap("NIU", "纽埃"));
        resultList.add(DictUtil.getDictMap("NLD", "荷兰"));
        resultList.add(DictUtil.getDictMap("NOR", "挪威"));
        resultList.add(DictUtil.getDictMap("NPL", "尼波尔"));
        resultList.add(DictUtil.getDictMap("NRU", "瑙鲁"));
        resultList.add(DictUtil.getDictMap("NTZ", "中间地带"));
        resultList.add(DictUtil.getDictMap("NZL", "新西兰"));
        resultList.add(DictUtil.getDictMap("OMN", "阿曼"));
        resultList.add(DictUtil.getDictMap("PAK", "巴基斯坦"));
        resultList.add(DictUtil.getDictMap("PAN", "巴拿马"));
        resultList.add(DictUtil.getDictMap("PCN", "皮特凯恩群岛"));
        resultList.add(DictUtil.getDictMap("PER", "秘鲁"));
        resultList.add(DictUtil.getDictMap("PHL", "菲律宾"));
        resultList.add(DictUtil.getDictMap("PLW", "贝劳"));
        resultList.add(DictUtil.getDictMap("PNG", "巴布亚新几内亚"));
        resultList.add(DictUtil.getDictMap("POL", "波兰"));
        resultList.add(DictUtil.getDictMap("PRI", "波多黎各"));
        resultList.add(DictUtil.getDictMap("PRK", "朝鲜"));
        resultList.add(DictUtil.getDictMap("PRT", "葡萄牙"));
        resultList.add(DictUtil.getDictMap("PRY", "巴拉圭"));
        resultList.add(DictUtil.getDictMap("PST", "巴勒斯坦"));
        resultList.add(DictUtil.getDictMap("PYF", "法属菠利尼西亚"));
        resultList.add(DictUtil.getDictMap("QAT", "卡塔尔"));
        resultList.add(DictUtil.getDictMap("REU", "留尼汪"));
        resultList.add(DictUtil.getDictMap("ROM", "罗马尼亚"));
        resultList.add(DictUtil.getDictMap("RUS", "俄罗斯"));
        resultList.add(DictUtil.getDictMap("RWA", "卢旺达"));
        resultList.add(DictUtil.getDictMap("SAU", "沙特阿拉伯"));
        resultList.add(DictUtil.getDictMap("SDN", "苏丹"));
        resultList.add(DictUtil.getDictMap("SEN", "塞内加尔"));
        resultList.add(DictUtil.getDictMap("SF", "塞尔维亚"));
        resultList.add(DictUtil.getDictMap("SGP", "新加坡"));
        resultList.add(DictUtil.getDictMap("SGS", "南乔治亚岛和南桑德韦奇岛"));
        resultList.add(DictUtil.getDictMap("SHN", "圣赫勒拿"));
        resultList.add(DictUtil.getDictMap("SJM", "斯瓦尔巴群岛"));
        resultList.add(DictUtil.getDictMap("SLB", "所罗门群岛"));
        resultList.add(DictUtil.getDictMap("SLE", "塞拉利昂"));
        resultList.add(DictUtil.getDictMap("SLV", "萨尔瓦多"));
        resultList.add(DictUtil.getDictMap("SMR", "圣马力诺"));
        resultList.add(DictUtil.getDictMap("SOM", "索马里"));
        resultList.add(DictUtil.getDictMap("SPM", "圣皮埃尔和密克隆"));
        resultList.add(DictUtil.getDictMap("SS", "塞班"));
        resultList.add(DictUtil.getDictMap("STP", "圣多美和普林西比"));
        resultList.add(DictUtil.getDictMap("SUR", "苏里南"));
        resultList.add(DictUtil.getDictMap("SVK", "斯洛伐克"));
        resultList.add(DictUtil.getDictMap("SVN", "斯洛文尼亚"));
        resultList.add(DictUtil.getDictMap("SWE", "瑞典"));
        resultList.add(DictUtil.getDictMap("SWZ", "斯威士兰"));
        resultList.add(DictUtil.getDictMap("SX", "锡金"));
        resultList.add(DictUtil.getDictMap("SYC", "塞舌尔"));
        resultList.add(DictUtil.getDictMap("SYR", "叙利亚"));
        resultList.add(DictUtil.getDictMap("TCA", "特克斯和凯科斯群岛"));
        resultList.add(DictUtil.getDictMap("TCD", "乍得"));
        resultList.add(DictUtil.getDictMap("TGO", "多哥"));
        resultList.add(DictUtil.getDictMap("THA", "泰国"));
        resultList.add(DictUtil.getDictMap("TJK", "塔吉克斯坦"));
        resultList.add(DictUtil.getDictMap("TKL", "托克劳"));
        resultList.add(DictUtil.getDictMap("TKM", "土库曼斯坦"));
        resultList.add(DictUtil.getDictMap("TMP", "东帝汶"));
        resultList.add(DictUtil.getDictMap("TON", "汤加"));
        resultList.add(DictUtil.getDictMap("TTO", "特立尼达和多巴哥"));
        resultList.add(DictUtil.getDictMap("TUN", "突尼斯"));
        resultList.add(DictUtil.getDictMap("TUR", "土耳其"));
        resultList.add(DictUtil.getDictMap("TUV", "图瓦卢"));
        resultList.add(DictUtil.getDictMap("TWN", "中国台湾"));
        resultList.add(DictUtil.getDictMap("TZA", "坦桑尼亚"));
        resultList.add(DictUtil.getDictMap("UGA", "乌干达"));
        resultList.add(DictUtil.getDictMap("UKR", "乌克兰"));
        resultList.add(DictUtil.getDictMap("UMI", "美属太平洋各群岛"));
        resultList.add(DictUtil.getDictMap("UN", "联合国"));
        resultList.add(DictUtil.getDictMap("URY", "乌拉圭"));
        resultList.add(DictUtil.getDictMap("USA", "美国"));
        resultList.add(DictUtil.getDictMap("UZB", "乌兹别克斯坦"));
        resultList.add(DictUtil.getDictMap("VAT", "梵蒂冈"));
        resultList.add(DictUtil.getDictMap("VCT", "圣文森特和格林纳丁斯"));
        resultList.add(DictUtil.getDictMap("VEN", "委内瑞拉"));
        resultList.add(DictUtil.getDictMap("VGB", "英属维尔京群岛"));
        resultList.add(DictUtil.getDictMap("VIR", "美属维尔京群岛"));
        resultList.add(DictUtil.getDictMap("VNM", "越南"));
        resultList.add(DictUtil.getDictMap("VUT", "瓦努阿图"));
        resultList.add(DictUtil.getDictMap("WAK", "威克岛"));
        resultList.add(DictUtil.getDictMap("WLF", "瓦利斯和富图纳群岛"));
        resultList.add(DictUtil.getDictMap("WSM", "西萨摩亚"));
        resultList.add(DictUtil.getDictMap("XXA", "无国籍（无国籍人）"));
        resultList.add(DictUtil.getDictMap("XXB", "无国籍（难民）"));
        resultList.add(DictUtil.getDictMap("XXX", "无国籍（未声明国籍）"));
        resultList.add(DictUtil.getDictMap("YEM", "也门"));
        resultList.add(DictUtil.getDictMap("YUG", "南斯拉夫"));
        resultList.add(DictUtil.getDictMap("ZAF", "南非"));
        resultList.add(DictUtil.getDictMap("ZAR", "扎伊尔"));
        resultList.add(DictUtil.getDictMap("ZMB", "赞比亚"));
        resultList.add(DictUtil.getDictMap("ZWE", "津巴布韦"));
        resultList.add(DictUtil.getDictMap("ZZZ", "国籍不详"));

        return resultList;
    }

}
